# Uses of Class
org.eclipse.swt.accessibility.Accessible

Packages that use Accessible
Package
Description
org.eclipse.swt.accessibility
SWT Accessibility.
org.eclipse.swt.widgets
SWT widget public API classes.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.

## Uses of Accessible in org.eclipse.swt.accessibility

Fields in org.eclipse.swt.accessibility declared as Accessible
Modifier and Type
Field
Description
`Accessible`
AccessibleControlEvent.`accessible`
`Accessible`
AccessibleHyperlinkEvent.`accessible`
`Accessible`
AccessibleTableCellEvent.`accessible`
`Accessible`
AccessibleTableEvent.`accessible`
`Accessible`
AccessibleTextEvent.`accessible`
`Accessible[]`
AccessibleTableCellEvent.`accessibles`
`Accessible[]`
AccessibleTableEvent.`accessibles`
Methods in org.eclipse.swt.accessibility that return Accessible
Modifier and Type
Method
Description
`static Accessible`
Accessible.`internal_new_Accessible(Control control)`
Invokes platform specific functionality to allocate a new accessible object.
Methods in org.eclipse.swt.accessibility with parameters of type Accessible
Modifier and Type
Method
Description
`void`
Accessible.`addRelation(int type, Accessible target)`
Adds a relation with the specified type and target to the receiver's set of relations.
`void`
Accessible.`removeRelation(int type, Accessible target)`
Removes the relation with the specified type and target from the receiver's set of relations.
Constructors in org.eclipse.swt.accessibility with parameters of type Accessible
Modifier
Constructor
Description
``
`Accessible(Accessible parent)`
Constructs a new instance of this class given its parent.

## Uses of Accessible in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return Accessible
Modifier and Type
Method
Description
`Accessible`
Control.`getAccessible()`
Returns the accessible object for the receiver.

## Uses of Accessible in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs that return Accessible
Modifier and Type
Method
Description
`Accessible`
FilteredList.`getAccessible()`
Returns the accessible object for the receiver.